LCALC(1)

NAME
lcalc - program for calculating with L-functions

SYNOPSIS
lcalc [OPTIONS]...

DESCRIPTION
lcalc 1.11 Feb 5, 2008

This program computes zeros and values of L-function.

-h, --help
    Print help and exit

-V, --version
    Print version and exit

-v, --value
    compute L-function at x+iy. Should be used in conjunction with x and y options (default=off)

-x, --x=Double
    Used with value,value-line-segment, and zeros-interval options (default=`.5')

-y, --y=Double
    Used with value,value-line-segment, and zeros-interval options (default=`0')

--value-file=filename
    compute L-function at points specified in file

--value-line-segment
    compute L-function along a line segment connecting (x,y) to (X,Y) at number-sample points (default=off)

-X, --X=Double
    Used with value-line-segment (default=`.5')

-Y, --Y=Double
    Used with value-line-segment (default=`100')

-n, --number-samples=INT
    Used with value-line-segment, and interpolate options (default=`1000')

-z, --zeros=INT
    number of zeros to find

-Z, --zeros-interval
    number of zeros to find in an interval (1/2+ix,1/2+iy) using steps of size stepsize. Use with the x,y, and stepsize options (default=off)

--stepsize=Double
    Used with zeros-interval

-d, --derivative=INT
    compute derivative. use -d -1 to specify logarithmic derivative.

-e, --elliptic-curve
    specify an elliptic curve over Q. Use with the a1 a2 a3 a4 a6 options (default=off)

--a1=rational_number
    Used with the elliptic-curve option

--a2=rational_number
    Used with the elliptic-curve option

--a3=rational_number
    Used with the elliptic-curve option

--a4=rational_number
    Used with the elliptic-curve option

--a6=rational_number
    Used with the elliptic-curve option

-F, --file-input=filename
    input a file with basic L-function data

-u, --url=url
    input a web based file with basic L-function data. Specify the url of the file

-i, --interpolate=filename2
    interpolate between two L-functions and find their zeros. Should be used in conjunction with file-input

-C, --output-character=STRING if twisting, output the character
    (possible values="1", "2" default=`1')

-o, --output-data=number Dirichlet coeffs
    output basic data for the underlying L-function

    (default=`10')

--verbose=INT
    verbosity > 0 outputs extra info (default=`0')

-P, --precision=INT
    number digits precision (default=`14')

-S, --sacrifice=INT
    number digits to sacrifice (default=`2')

-r, --rank-compute
    compute the rank (default=off)

--rank-verify=INT
    verify if specified rank is correct

-l, --rank-limit=INT
    when doing quadratic twists limit to L-functions with specified rank

-t, --tau
    Ramanujan tau L-function (weight 12, full level) (default=off)

-q, --twist-quadratic
    twist by fundamental quadratic characters, start <= discriminant <= finish. Use with start and finish options. (default=off)

-s, --start=integer
    Used with various twisting options

-f, --finish=integer
    Used with various twisting options. Default has finish=start

--twist-quadratic-even
    twist by fundamental quadratic characters, even functional eqn, start <= discriminant <= finish (default=off)

-p, --twist-primitive
    twist by all primitive Dirichlet characters with start <= conductor <= finish. For L-functions with complex Dirichlet coefficients, conjugate characters are considered equaivalent (default=off)

-A, --twist-all
    twist by all Dirichlet characters with start <= conductor <= finish. (default=off)

-a, --twist-all-no-conj-pairs twist by all Dirichlet characters with start <=
    conductor <= finish. For L-functions with complex Dirichlet coefficients, conjugate pairs of characters are considered equivalent

    (default=off)

-c, --twist-complex-no-conj-pairs
    twist by all complex primitive Dirichlet

    characters with start <= conductor <= finish. For L-functions with complex Dirichlet coefficients, conjugate pairs of characters are considered equivalent (default=off)

-g, --twist-generic
    twist by a generic complex Dirichlet characters with start <= conductor <= finish. (default=off)

-D, --degree=degree
    can only be used in conjunction with twist-primitive (?). Select characters of specified degree. Not yet implemented

SEE ALSO
The full documentation for lcalc is maintained as a Texinfo manual. If the info and lcalc programs are properly installed at your site, the command

    info lcalc

should give you access to the complete manual.